## libkf5pimcommon 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(pimcommon VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(LIBRARY_NAMELINK)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)
include(ECMInstallIcons)




set(PIMCOMMON_LIB_VERSION ${PIM_VERSION})
set(AKONADICONTACT_LIB_VERSION "5.13.3")
set(LIBKDEPIM_LIB_VERSION "5.13.3")
set(QT_REQUIRED_VERSION "5.11.0")
set(KMIME_LIB_VERSION "5.13.3")
set(KIMAP_LIB_VERSION "5.13.3")
set(KPIMTEXTEDIT_LIB_VERSION "5.13.3")
set(AKONADI_VERSION "5.13.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets DBus Network Test Xml PrintSupport)

find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5NewStuff ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5Purpose ${KF5_MIN_VERSION} CONFIG REQUIRED)


option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

find_package(Xsltproc)
set_package_properties(Xsltproc PROPERTIES DESCRIPTION "XSLT processor from libxslt" TYPE REQUIRED PURPOSE "Required to generate D-Bus interfaces for all Akonadi resources.")

if(BUILD_TESTING)
   find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
   add_definitions(-DBUILD_TESTING)
endif(BUILD_TESTING)

########### Targets ###########

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000) 
endif()

add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)
install(FILES pimcommon.renamecategories pimcommon.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/pimcommon/CMakeLists.txt ===
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5PimCommon")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5PimCommonConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )


ecm_setup_version(PROJECT VARIABLE_PREFIX PIMCOMMON
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfigVersion.cmake"
    SOVERSION 5
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5PimCommonConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5PimCommonTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5PimCommonTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )

set(libpimcommon_autocorrection_SRCS
    autocorrection/autocorrection.cpp
    autocorrection/autocorrectionwidget.cpp
    autocorrection/autocorrectionlistwidget.cpp
    autocorrection/autocorrectiontreewidget.cpp
    autocorrection/autocorrectionlanguage.cpp
    autocorrection/import/importlibreofficeautocorrection.cpp
    autocorrection/import/importkmailautocorrection.cpp
    autocorrection/import/importabstractautocorrection.cpp
    autocorrection/widgets/lineeditwithautocorrection.cpp
    autocorrection/widgets/richtexteditwithautocorrection.cpp
    )

set(libpimcommon_generericplugin_SRCS
    genericplugins/pluginutil.cpp
    genericplugins/genericpluginmanager.cpp
    genericplugins/genericplugin.cpp
    genericplugins/abstractgenericplugin.cpp
    genericplugins/abstractgenericplugininterface.cpp
    )


set(libpimcommon_configure_plugins_SRCS
    configureplugins/configurepluginslistwidget.cpp
    configureplugins/configurepluginswidget.cpp
    configureplugins/configureplugindialog.cpp
    )

set(libpimcommon_translator_SRCS
    translator/translatorutil.cpp
    translator/translatorwidget.cpp
    translator/translatordebugdialog.cpp
    translator/googletranslator.cpp
    )

set(libpimcommon_templatewidgets_SRCS
    templatewidgets/templatelistwidget.cpp
    templatewidgets/templateeditdialog.cpp
    templatewidgets/templatemanager.cpp
    )


set(libpimcommon_widgets_SRCS
    widgets/renamefiledialog.cpp
    widgets/simplestringlisteditor.cpp
    widgets/customtreeview.cpp
    widgets/configureimmutablewidgetutils.cpp
    widgets/kactionmenuchangecase.cpp
    widgets/spellchecklineedit.cpp
    widgets/kpimprintpreviewdialog.cpp
    widgets/lineeditwithcompleterng.cpp
    widgets/purposemenuwidget.cpp
    )

set(libpimcommon_customtools_SRCS
    customtools/customtoolsplugin.cpp
    customtools/customtoolspluginmanager.cpp
    customtools/customtoolswidgetng.cpp
    customtools/customtoolsviewinterface.cpp
    )

set(libpimcommon_util_SRCS
    util/pimutil.cpp
    util/networkutil.cpp
    )

set(libpimcommon_migrate_SRCS
    migration/migrateapplicationfiles.cpp
    migration/migratefileinfo.cpp
    )

set(libpimcommon_shareserviceurl_SRCS
    shareserviceurl/shareserviceurlmanager.cpp
    )

set(libpimcommon_logactivities_SRCS
    logactivities/logactivitiesmanager.cpp
    logactivities/logactivitiesdialog.cpp
    logactivities/logactivitieswidget.cpp
    logactivities/logactivitiespurposemenuwidget.cpp
    )


set(libpimcommon_networkmanager_SRCS
    network/networkmanager.cpp
    )

set(libpimcommon_SRCS
    settings/pimcommonsettings.cpp
    ${libpimcommon_configure_plugins_SRCS}
    ${libpimcommon_networkmanager_SRCS}
    ${libpimcommon_configure_plugins_SRCS}
    ${libpimcommon_shareserviceurl_SRCS}
    ${libpimcommon_migrate_SRCS}
    ${libpimcommon_util_SRCS}
    ${libpimcommon_texteditor_SRCS}
    ${libpimcommon_storageservice_SRCS}
    ${libpimcommon_autocorrection_SRCS}
    ${libpimcommon_translator_SRCS}
    ${libpimcommon_templatewidgets_SRCS}
    ${libpimcommon_widgets_SRCS}
    ${libpimcommon_customtools_SRCS}
    ${libpimcommon_logactivities_SRCS}
    ${libpimcommon_generericplugin_SRCS}
    )
qt5_add_resources(libpimcommon_SRCS widgets/icons.qrc)
ecm_qt_declare_logging_category(libpimcommon_SRCS HEADER pimcommon_debug.h IDENTIFIER PIMCOMMON_LOG CATEGORY_NAME org.kde.pim.pimcommon)

ki18n_wrap_ui(libpimcommon_SRCS
    autocorrection/ui/autocorrectionwidget.ui
    )

macro(add_resource_iface _kcfgFile _ifaceName _className _fileName)
    kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/${_kcfgFile} ${_ifaceName})
    qt5_add_dbus_interface(libpimcommon_SRCS
        ${CMAKE_CURRENT_BINARY_DIR}/${_ifaceName}.xml ${_fileName} ${_className}
        )
endmacro()

add_resource_iface(util/imapresource.kcfg org.kde.Akonadi.Imap.Settings ImapSettings imapresourcesettings)

kconfig_add_kcfg_files(libpimcommon_SRCS
    settings/pimcommonsetting_base.kcfgc
    )

add_library(KF5PimCommon ${libpimcommon_SRCS})
generate_export_header(KF5PimCommon BASE_NAME pimcommon)
add_library(KF5::PimCommon ALIAS KF5PimCommon)


target_link_libraries(KF5PimCommon
    PUBLIC
    Qt5::Network
    KF5::KIOCore
    KF5::ConfigWidgets
    PRIVATE
    KF5::I18n
    KF5::Libkdepim
    KF5::Archive
    KF5::NewStuff
    KF5::PimTextEdit
    KF5::XmlGui
    KF5::PimTextEdit
    KF5::Completion
    KF5::KIOWidgets
    Qt5::PrintSupport
    KF5::Purpose
    KF5::PurposeWidgets
    )


target_include_directories(KF5PimCommon INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/PimCommon/;${KDE_INSTALL_INCLUDEDIR_KF5}/pimcommon>")

target_include_directories(KF5PimCommon PUBLIC "$<BUILD_INTERFACE:${pimcommon_SOURCE_DIR}/src;${pimcommon_BINARY_DIR}/src>")

set_target_properties(KF5PimCommon PROPERTIES
    VERSION ${PIMCOMMON_VERSION_STRING}
    SOVERSION ${PIMCOMMON_SOVERSION}
    EXPORT_NAME PimCommon
    )

install(TARGETS
    KF5PimCommon
    EXPORT KF5PimCommonTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}  ${LIBRARY_NAMELINK}
    )

if (BUILD_TESTING)
    add_subdirectory(translator/autotests)
    add_subdirectory(autocorrection/autotests)
    add_subdirectory(widgets/autotests)
    add_subdirectory(migration/autotests)
    add_subdirectory(util/autotests)
    add_subdirectory(shareserviceurl/autotests)
    add_subdirectory(translator/tests)
    add_subdirectory(widgets/tests)
    add_subdirectory(autocorrection/tests)
    add_subdirectory(customtools/autotests)
    add_subdirectory(autotests)
    add_subdirectory(logactivities/autotests)
    add_subdirectory(logactivities/tests)
    add_subdirectory(configureplugins/autotests)
    add_subdirectory(genericplugins/autotests)
endif()

ecm_generate_headers(PimCommon_CamelCasegenericplugins_HEADERS
    HEADER_NAMES
    PluginUtil
    GenericPluginManager
    GenericPlugin
    AbstractGenericPlugin
    AbstractGenericPluginInterface
    REQUIRED_HEADERS PimCommon_genericplugins_HEADERS
    PREFIX PimCommon
    RELATIVE genericplugins
    )

ecm_generate_headers(PimCommon_CamelCasenetworkmanager_HEADERS
    HEADER_NAMES
    NetworkManager
    REQUIRED_HEADERS PimCommon_networkmanager_HEADERS
    PREFIX PimCommon
    RELATIVE network
    )

ecm_generate_headers(PimCommon_CamelCase_HEADERS
    HEADER_NAMES
    PimUtil
    NetworkUtil
    REQUIRED_HEADERS PimCommon_HEADERS
    PREFIX PimCommon
    RELATIVE util
    )

ecm_generate_headers(PimCommon_Camelcasesettings_HEADERS
    HEADER_NAMES
    PimCommonSettings
    REQUIRED_HEADERS PimCommon_settings_HEADERS
    PREFIX PimCommon
    RELATIVE settings
    )

ecm_generate_headers(PimCommon_Camelcaselogactivities_HEADERS
    HEADER_NAMES
    LogActivitiesManager
    REQUIRED_HEADERS PimCommon_logactivities_HEADERS
    PREFIX PimCommon
    RELATIVE logactivities
    )

ecm_generate_headers(PimCommon_Camelcaseshareserviceurl_HEADERS
    HEADER_NAMES
    ShareServiceUrlManager
    REQUIRED_HEADERS PimCommon_shareserviceurl_HEADERS
    PREFIX PimCommon
    RELATIVE shareserviceurl
    )

ecm_generate_headers(PimCommon_Camelcasetranslator_HEADERS
    HEADER_NAMES
    TranslatorWidget
    REQUIRED_HEADERS PimCommon_translator_HEADERS
    PREFIX PimCommon
    RELATIVE translator
    )

ecm_generate_headers(PimCommon_Camelcasecustomtools_HEADERS
    HEADER_NAMES
    CustomToolsWidgetng
    CustomToolsPlugin
    CustomToolsViewInterface
    CustomToolsPluginManager
    REQUIRED_HEADERS PimCommon_customtools_HEADERS
    PREFIX PimCommon
    RELATIVE customtools
    )

ecm_generate_headers(PimCommon_Camelcasemigrate_HEADERS
    HEADER_NAMES
    MigrateApplicationFiles
    MigrateFileInfo
    REQUIRED_HEADERS PimCommon_migrate_HEADERS
    PREFIX PimCommon
    RELATIVE migration
    )

ecm_generate_headers(PimCommon_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    RichTexteditWithAutoCorrection
    LineEditWithAutoCorrection
    REQUIRED_HEADERS PimCommon_autocorrectionwidgets_HEADERS
    PREFIX PimCommon
    RELATIVE autocorrection/widgets/
    )

ecm_generate_headers(PimCommon_Camelcaseautocorrection_HEADERS
    HEADER_NAMES
    AutoCorrectionWidget
    AutoCorrectionLanguage
    AutoCorrection
    REQUIRED_HEADERS PimCommon_autocorrection_HEADERS
    PREFIX PimCommon
    RELATIVE autocorrection/
    )

ecm_generate_headers(PimCommon_Camelcasetemplatelist_HEADERS
    HEADER_NAMES
    TemplateListWidget
    TemplateManager
    REQUIRED_HEADERS PimCommon_templatelist_HEADERS
    PREFIX PimCommon
    RELATIVE templatewidgets
    )


ecm_generate_headers(PimCommon_Camelcasewidgets_HEADERS
    HEADER_NAMES
    CustomTreeView
    SpellCheckLineEdit
    ConfigureImmutableWidgetUtils
    RenameFileDialog
    SimpleStringListEditor
    KActionMenuChangeCase
    KPimPrintPreviewDialog
    LineEditWithCompleterNg
    PurposeMenuWidget
    REQUIRED_HEADERS PimCommon_widgets_HEADERS
    PREFIX PimCommon
    RELATIVE widgets
    )

ecm_generate_headers(PimCommon_Camelcaseconfigureplugins_HEADERS
    HEADER_NAMES
    ConfigurePluginsListWidget
    ConfigurePluginsWidget
    ConfigurePluginDialog
    REQUIRED_HEADERS PimCommon_configureplugins_HEADERS
    PREFIX PimCommon
    RELATIVE configureplugins
    )
ecm_generate_pri_file(BASE_NAME PimCommon
    LIB_NAME KF5PimCommon
    DEPS "Network KIOCore ConfigWidgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/PimCommon
    )


install(FILES
    ${PimCommon_Camelcaseconfigureplugins_HEADERS}
    ${PimCommon_CamelCasegenericplugins_HEADERS}
    ${PimCommon_Camelcaselogactivities_HEADERS}
    ${PimCommon_CamelCasenetworkmanager_HEADERS}
    ${PimCommon_CamelCase_HEADERS}
    ${PimCommon_CamelCasejob_HEADERS}
    ${PimCommon_Camelcaseautocorrection_HEADERS}
    ${PimCommon_Camelcaseautocorrectionwidgets_HEADERS}
    ${PimCommon_Camelcasecustomtools_HEADERS}
    ${PimCommon_Camelcasemanagerserversidesubscription_HEADERS}
    ${PimCommon_Camelcasemigrate_HEADERS}
    ${PimCommon_Camelcaseplaintexteditor_HEADERS}
    ${PimCommon_Camelcaserichtexteditor_HEADERS}
    ${PimCommon_Camelcasescript_HEADERS}
    ${PimCommon_Camelcasesettings_HEADERS}
    ${PimCommon_Camelcaseshareserviceurl_HEADERS}
    ${PimCommon_Camelcasestorageservice_HEADERS}
    ${PimCommon_Camelcasestorageservicedialog_HEADERS}
    ${PimCommon_Camelcasestorageserviceinterface_HEADERS}
    ${PimCommon_Camelcasestorageservicesettings_HEADERS}
    ${PimCommon_Camelcasestorageservicewidgets_HEADERS}
    ${PimCommon_Camelcasetemplatelist_HEADERS}
    ${PimCommon_Camelcasetexteditor_commonwidget_HEADERS}
    ${PimCommon_Camelcasetranslator_HEADERS}
    ${PimCommon_Camelcasewidgets_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/PimCommon
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/imapresourcesettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommon_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/pimcommonsetting_base.h
    ${PimCommon_HEADERS}
    ${PimCommon_genericplugins_HEADERS}
    ${PimCommon_configureplugins_HEADERS}
    ${PimCommon_networkmanager_HEADERS}

=== src/pimcommon/designer/CMakeLists.txt ===
include(ECMAddQtDesignerPlugin)
ecm_qtdesignerplugin_widget(PimCommon::SimpleStringListEditor
    INCLUDE_FILE "pimcommon/simplestringlisteditor.h"
    TOOLTIP "A listbox with add/remove/move up/down button (KDE-PIM)"
    WHATSTHIS "A listbox which lets organize list order."
    GROUP "Input (KDE-PIM)"
    )
ecm_qtdesignerplugin_widget(PimCommon::TranslatorWidget
    INCLUDE_FILE "pimcommon/translatorwidget.h"
    TOOLTIP "A widget to make translate string (KDE-PIM)"
    WHATSTHIS "A widget to make translate string."
    GROUP "Input (KDE-PIM)"
    )

ecm_add_qtdesignerplugin(pimcommonwidgets
    NAME PimCommonWidgets
    OUTPUT_NAME pimcommonwidgets
    WIDGETS
    PimCommon::SimpleStringListEditor
    PimCommon::TranslatorWidget
    LINK_LIBRARIES
    KF5::PimCommon KF5::PimTextEdit
    INSTALL_DESTINATION "${KDE_INSTALL_QTPLUGINDIR}/designer"
    COMPONENT Devel
    )

=== src/pimcommonakonadi/folderdialog/tests/CMakeLists.txt ===
set(selectmultiselectiondialog_gui_SRCS selectmultiselectiondialog_gui.cpp)
add_executable(selectmultiselectiondialog_gui ${selectmultiselectiondialog_gui_SRCS})
target_link_libraries(selectmultiselectiondialog_gui
  KF5::Mime
  KF5::PimCommonAkonadi
  KF5::I18n
)

=== debian/changelog ===
libkf5pimcommon (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 14:00:31 +0100

libkf5pimcommon (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:41 +0100

=== debian/control ===
Source: libkf5pimcommon
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5imap-dev (>= 19.12.3~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5pimtextedit-dev (>= 19.12.3~),
               libkf5purpose-dev,
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               xsltproc,
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pimcommon

Package: libkf5pimcommon-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: storageservicemanager (<= 4:16.04), ${kde-l10n:all}
Replaces: storageservicemanager (<= 4:16.04), ${kde-l10n:all}
Description: Common library for KDE PIM - data files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the data files used by the library.

Package: libkf5pimcommon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5akonadicontact-dev (>= 4:19.12.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5contacts-dev (>= 4:19.08.3~),
         libkf5imap-dev (>= 19.12.3~),
         libkf5pimcommon5abi3 (= ${binary:Version}),
         libkf5pimcommonakonadi5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 19.12.3~),
         libkf5textwidgets-dev (>= 5.31.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Common library for KDE PIM - devel files
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the development files.

Package: libkf5pimcommon-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: Common library for KDE PIM - plugins
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the plugins distributed with the library.

Package: libkf5pimcommon5abi3
X-Debian-ABI: 3
X-CMake-Target: KF5PimCommon
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common library for KDE PIM
 This library provides the common parts used across different KDE PIM
 components.
 .
 This package provides the shared libraries.

Package: libkf5pimcommonakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Common library for KDE PIM Akonadi
 This library provides the common parts used across different KDE PIM Akonadi
 components.
 .
 This package provides the shared libraries.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/pimcommon-([\d.]+).tar.xz

## libkf5pimcommon 20.08.1

=== debian/changelog ===
libkf5pimcommon (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:03:12 +0100

libkf5pimcommon (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Refresh patches.
  * Update symbols.
  * New build depends on libkf5kcmutils-dev & libkf5akonadisearch-dev.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:22:44 +0100

=== debian/control ===
--- 
+++ 
@@ -7,22 +7,24 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
+               libkf5akonadisearch-dev (>= 4:20.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5dbusaddons-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5imap-dev (>= 19.12.3~),
+               libkf5imap-dev (>= 20.08.1~),
+               libkf5kcmutils-dev,
                libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 19.12.3~),
+               libkf5pimtextedit-dev (>= 20.08.1~),
                libkf5purpose-dev,
                libkf5sonnet-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
@@ -58,14 +60,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadicontact-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadicontact-dev (>= 4:20.08.1~),
          libkf5config-dev (>= 5.31.0~),
          libkf5contacts-dev (>= 4:19.08.3~),
-         libkf5imap-dev (>= 19.12.3~),
+         libkf5imap-dev (>= 20.08.1~),
          libkf5pimcommon5abi3 (= ${binary:Version}),
          libkf5pimcommonakonadi5 (= ${binary:Version}),
-         libkf5pimtextedit-dev (>= 19.12.3~),
+         libkf5pimtextedit-dev (>= 20.08.1~),
          libkf5textwidgets-dev (>= 5.31.0~),
          ${misc:Depends},
          ${shlibs:Depends},
